::selection {background: #ececec; color: #3f3f3f;}

.bg-primary {background-color: #FFD700 !important;}
.bg-secondary {background-color: #2D2D2D !important;}
.bg-dark-50 {background-color: rgba(45, 45, 45, .8) !important;}

.btn:hover {background-color: #fff; color: #2D2D2D; box-shadow: 0 .5rem 1rem rgba(0,0,0,.15) !important;}
.btn-dark {background-color: #2D2D2D !important; color: #FFD700 !important; border-color: #2D2D2D !important;}
.btn-outline-dark, .btn-outline-dark:focus, .btn-outline-dark:active {box-shadow: inset 0 0 0 .15rem #2D2D2D !important; background-color: transparent !important; border-color: #2D2D2D !important; color: #2D2D2D !important;}
.btn-outline-dark:hover {background-color: #2D2D2D !important; color: #FFD700 !important;}
.btn-toggler:hover, .btn-home:hover, .btn-search:hover  {background: #fff !important; color: #FFD700 !important;}
.btn-toggler:hover::after {color: #FFD700 !important;}
.btn-social {background: #2D2D2D; color: #fff;}
.btn-transparent, .btn-transparent:hover {background-color: transparent !important; box-shadow: none !important; border-color: transparent !important;}

#contentCmsBody a:link, #contentCmsBody a:visited {color: #fff !important; font-weight: 700; text-decoration: none !important;}
#contentCmsBody a:hover {background: rgba(25, 82, 163, .160); transition: .3s;}
.smartyButtonLink .smartyButton {border-radius: .375rem !important; transition: all .2s ease;}
.smartyButtonLink .smartyButton:hover {box-shadow: 0 .5rem 1rem rgba(0,0,0,.15) !important;}

.calendarWrapper .monthContent .contentTable td {border: 1px dashed #2d2d2d !important; background-color: #FFD700;}
.calendarWrapper .monthContent .contentTable .otherMonth {background-color: #fff !important;}

.calendarWrapper .calendarMonthContent .forBackground {border: none !important;}
.calendarWrapper .calendarMonthContent .weekNumber, .calendarWrapper .weekContent .weekNumber {border-bottom: none !important;}
.calendarWrapper .calendarMonthContent .monthDayWrapper, .calendarWrapper .weekContent .weekDayWrapper {border-bottom: 1px dashed #2D2D2D !important; transition: .3s ease;}
.calendarWrapper .calendarMonthContent .monthDayWrapper:hover, .calendarWrapper .weekContent .weekDayWrapper:hover {box-shadow: 0 .5rem 1rem rgba(0,0,0,.15) !important;}

.text-primary {color: #FFD700 !important;}
.text-secondary {color: #83B5C4 !important;}
.text-dark {color: #2D2D2D !important;}

a.text-primary:focus, a.text-primary:hover {color: #fff !important;}

.bg-border-white {box-shadow: inset 0px -7vh 0px 0px rgb(255, 255, 255);}
.bg-border-primary {box-shadow: inset 0px -1vh 0px 0px rgb(25, 82, 163);}
.border-inset-lg {box-shadow: inset 0 0 0 .5rem #EBEBEB;}

.search .searchTextOnsite {border-radius: .375rem; border: .5rem rgba(255, 255, 255, .65) solid;}
.search .searchOnsiteSubmitWrapper a {border-radius: .375rem; border: .3rem #fff solid; background: transparent; color: #fff;}
.search .searchOnsiteSubmitWrapper a:hover {border-color: #FFD700; background: #fff; color: #FFD700;}
.search .searchWrapperOnsite input::-webkit-input-placeholder, .search .searchWrapperOnsite input:-moz-placeholder, .search .searchWrapperOnsite input:-ms-input-placeholder, .search .searchWrapperOnsite input::-ms-input-placeholder {color: rgba(255, 255, 255, .5);}
.search input::placeholder, .search input:-ms-input-placeholder, .search input::-ms-input-placeholder, .search input::-webkit-input-placeholder {color: #FFD700; opacity: 1;}
.search input[type=text]:focus, .search a {outline: none; box-shadow: none; border-color: #FFD700;}

.navbar-sticky.sticky {background: #FFD700;}
.navbar-collapse.show::before {background: #FFD700;}

.navbar-nav .nav-link {color: #fff !important;}
.navbar-nav .dropdown-item {color: #fff;}
.navbar-nav .dropdown-item:focus, .navbar-nav .dropdown-item:hover {background: #FFD700; color: #2D2D2D; box-shadow: 0 .5rem 1rem rgba(0,0,0,.15);}
.navbar-nav .dropdown-menu {background: rgba(45, 45, 45, .950);}
.navbar-nav .dropdown-menu .nav-item .dropdown-item:focus::after, .navbar-nav .dropdown-menu .nav-item .dropdown-item:hover::after {color: #2D2D2D;}
.navbar .dropdown-toggle.dropdown-item:hover::after, .navbar .dropdown-toggle.dropdown-item:focus::after {color: #FFD700;}

.navbar-nav .dropdown-menu .dropdown-item::after {color: rgba(255,255,255,.5);}

@media (max-width: 992px) {
    .navbar .subLevel.dropdown-menu .dropdown-submenu .subLevel.dropdown-menu {background: #777;}
    .navbar .subLevel.dropdown-menu.show {background: #888;} 
}

@media (max-width: 1199px) {
    .navbar-nav .nav-link {color: #2D2D2D !important;
}